### Function

# Gimp context_set_line_dash_pattern

#### Declaration [src]

    gboolean
    gimp_context_set_line_dash_pattern (
      gint num_dashes,
      const gdouble* dashes
    )

#### Description [src]

Set the line dash pattern setting.

This procedure modifies the line dash pattern setting for stroking lines.

The unit of the dash pattern segments is the actual line width used for the stroke operation, in other words a segment length of 1.0 results in a square segment shape (or gap shape).

This setting affects the following procedures: gimp_drawable_edit_stroke_selection(), gimp_drawable_edit_stroke_item().

Available since: | 2.10

#### Parameters

`num_dashes` | `gint`
| The number of dashes in the dash_pattern array.
`dashes` | An array of `double`
| The line dash pattern setting.
| The length of the array is specified in the `num_dashes` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.